#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/param.h>  // ukljucuje promenljivu MAXPATHLEN
#include <unistd.h>

static void error_fatal (char *message);

/* Program menja tekuci direktorijum na /tmp direktorijum i stampa poruku o
   uspesnom prelasku u taj direktorijum.*/
int main (int argc, char **argv)
{
  char directory[MAXPATHLEN];	/* Naziv tekuceg direktorijuma. */

  /* Menja se tekuci direktorijum na /tmp. */
  if (chdir ("/tmp") < 0)
    error_fatal ("chdir error");

  /* Ocitava se i stampa tekuci direktorijum. */
  if (getcwd (directory, sizeof (directory)) == NULL)
    error_fatal ("getcwd error");
  printf ("Current working directory after calling chdir function: %s.\n", directory);

  /* Zavrsava se program. */
  exit (EXIT_SUCCESS);
}

static void error_fatal (char *message)
{
  perror (message);
  exit (EXIT_FAILURE);
}
